<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: rtl Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classtransactor.html">transactor</a></li><li class="navelem"><a class="el" href="classtransactor_1_1rtl.html">rtl</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">rtl Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classtransactor_1_1rtl-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:af06a8d82aede1a99aa4bcd0a2201db9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af06a8d82aede1a99aa4bcd0a2201db9e"></a>
<a class="el" href="classtransactor_1_1rtl.html#af06a8d82aede1a99aa4bcd0a2201db9e">rx_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8097f6cc91855426108b8b52379ec5d9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8097f6cc91855426108b8b52379ec5d9"></a>
<a class="el" href="classtransactor_1_1rtl.html#a8097f6cc91855426108b8b52379ec5d9">tx_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4d554a53295a62afdd844f049a54be8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d554a53295a62afdd844f049a54be8e"></a>
<a class="el" href="classtransactor_1_1rtl.html#a4d554a53295a62afdd844f049a54be8e">rx_ready</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae42af7de0c182880eab1109e774f1ab3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae42af7de0c182880eab1109e774f1ab3"></a>
<a class="el" href="classtransactor_1_1rtl.html#ae42af7de0c182880eab1109e774f1ab3">rx_next</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab6f359f96bf25c1e6ceddd5f0b0690bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6f359f96bf25c1e6ceddd5f0b0690bd"></a>
<a class="el" href="classtransactor_1_1rtl.html#ab6f359f96bf25c1e6ceddd5f0b0690bd">tx_we</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a834e23d0747b167a4d076123324fce26"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a834e23d0747b167a4d076123324fce26"></a>
<a class="el" href="classtransactor_1_1rtl.html#a834e23d0747b167a4d076123324fce26">tx_hdr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adc723294dcd8367dccfdd0bb253a5c1f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc723294dcd8367dccfdd0bb253a5c1f"></a>
<a class="el" href="classtransactor_1_1rtl.html#adc723294dcd8367dccfdd0bb253a5c1f">tx_err</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aed1fb8f369bbf6007ab75dbfed6dcb7e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed1fb8f369bbf6007ab75dbfed6dcb7e"></a>
<a class="el" href="classtransactor_1_1rtl.html#aed1fb8f369bbf6007ab75dbfed6dcb7e">cfg_we</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a43395a299e6417580646b4df52474dfe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43395a299e6417580646b4df52474dfe"></a>
<a class="el" href="classtransactor_1_1rtl.html#a43395a299e6417580646b4df52474dfe">cfg_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa1844e16fa096dcc9cd9e3d2b6ffefcf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1844e16fa096dcc9cd9e3d2b6ffefcf"></a>
<a class="el" href="classtransactor_1_1rtl.html#aa1844e16fa096dcc9cd9e3d2b6ffefcf">cfg_din</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a863b81b2e974dc6203b66c981f1ae939"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a863b81b2e974dc6203b66c981f1ae939"></a>
<a class="el" href="classtransactor_1_1rtl.html#a863b81b2e974dc6203b66c981f1ae939">cfg_dout</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:ac1e384ebf7a273611c4154df52d67d00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1e384ebf7a273611c4154df52d67d00"></a>
<a class="el" href="classtransactor_1_1rtl.html#ac1e384ebf7a273611c4154df52d67d00">iface</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.transactor_if</b>  </td></tr>
<tr class="memitem:a8ad3f698becd820c9b50aedb492b62ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8ad3f698becd820c9b50aedb492b62ec"></a>
<a class="el" href="classtransactor_1_1rtl.html#a8ad3f698becd820c9b50aedb492b62ec">sm</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.transactor_sm</b>  </td></tr>
<tr class="memitem:a9bda50c2ecb07d8a4e9f694c60e1120f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9bda50c2ecb07d8a4e9f694c60e1120f"></a>
<a class="el" href="classtransactor_1_1rtl.html#a9bda50c2ecb07d8a4e9f694c60e1120f">cfg</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.transactor_cfg</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="transactor_8vhd_source.html#l00036">36</a> of file <a class="el" href="transactor_8vhd_source.html">transactor.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/ipbus_core/hdl/<a class="el" href="transactor_8vhd_source.html">transactor.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
